export class InconsistentSchemaError extends Error {
  constructor(message: string) {
    super(`Inconsistent schema: ${message}`);
    Object.setPrototypeOf(this, new.target.prototype);
  }
}

export class ValidationError extends Error {
  constructor(message: string) {
    super(message);
    Object.setPrototypeOf(this, new.target.prototype);
  }
}

export class TransactionClosedError extends Error {
  constructor() {
    super("Trying to use a closed transaction");
    Object.setPrototypeOf(this, new.target.prototype);
  }
}
